﻿using System.ComponentModel.DataAnnotations;

namespace Mirea.Api.Dto.Requests;

/// <summary>
/// Request model for creating a user.
/// </summary>
public class CreateUserRequest
{
    /// <summary>
    /// Gets or sets the email address of the user.
    /// </summary>
    [Required]
    public required string Email { get; set; }

    /// <summary>
    /// Gets or sets the username of the user.
    /// </summary>
    [Required]
    public required string Username { get; set; }

    /// <summary>
    /// Gets or sets the password of the user.
    /// </summary>
    [Required]
    public required string Password { get; set; }
}
