﻿using Mirea.Api.Dto.Common;

namespace Mirea.Api.Dto.Requests;

/// <summary>
/// Represents a request for verifying two-factor authentication.
/// </summary>
public class TwoFactorAuthRequest
{
    /// <summary>
    /// Gets or sets the two-factor authentication code provided by the user.
    /// </summary>
    public required string Code { get; set; }

    /// <summary>
    /// Gets or sets the type of the two-factor authentication method used (e.g., TOTP, Email).
    /// </summary>
    public TwoFactorAuthentication Method { get; set; }
}