﻿using Mirea.Api.Dto.Common;

namespace Mirea.Api.Dto.Responses.Configuration;

/// <summary>
/// Represents a response containing cache configuration details.
/// </summary>
public class CacheResponse
{
    /// <summary>
    /// Gets or sets the type of cache database.
    /// </summary>
    public CacheType Type { get; set; }

    /// <summary>
    /// Gets or sets the server address.
    /// </summary>
    public string? Server { get; set; }

    /// <summary>
    /// Gets or sets the port number.
    /// </summary>
    public int Port { get; set; }

    /// <summary>
    /// Gets or sets the password.
    /// </summary>
    public string? Password { get; set; }
}