﻿using Mirea.Api.Dto.Common;

namespace Mirea.Api.Dto.Responses.Configuration;

/// <summary>
/// Represents a response containing database configuration details.
/// </summary>
public class DatabaseResponse
{
    /// <summary>
    /// Gets or sets the type of database.
    /// </summary>
    public DatabaseType Type { get; set; }

    /// <summary>
    /// Gets or sets the server address.
    /// </summary>
    public string? Server { get; set; }

    /// <summary>
    /// Gets or sets the port number.
    /// </summary>
    public int Port { get; set; }

    /// <summary>
    /// Gets or sets the database name.
    /// </summary>
    public string? Database { get; set; }

    /// <summary>
    /// Gets or sets the username.
    /// </summary>
    public string? User { get; set; }

    /// <summary>
    /// Gets or sets a value indicating whether SSL is enabled.
    /// </summary>
    public bool Ssl { get; set; }

    /// <summary>
    /// Gets or sets the password.
    /// </summary>
    public string? Password { get; set; }

    /// <summary>
    /// Gets or sets the path to database. Only for Sqlite
    /// </summary>
    public string? PathToDatabase { get; set; }
}