﻿namespace Mirea.Api.Dto.Responses;

/// <summary>
/// Represents the response containing the TOTP (Time-Based One-Time Password) key details.
/// </summary>
public class TotpKeyResponse
{
    /// <summary>
    /// Gets or sets the secret key used for TOTP generation.
    /// </summary>
    public required string Secret { get; set; }

    /// <summary>
    /// Gets or sets the image (QR code) representing the TOTP key.
    /// </summary>
    public required string Image { get; set; }
}