﻿using MediatR;

namespace Mirea.Api.DataAccess.Application.Cqrs.Professor.Queries.GetProfessorDetails;

/// <summary>
/// Represents a query to retrieve information about a professor.
/// </summary>
/// <remarks>
/// This query can be used to fetch details of a professor by either their unique identifier.
/// </remarks>
public class GetProfessorInfoQuery : IRequest<ProfessorInfoVm>
{
    /// <summary>
    /// The unique identifier for the professor.
    /// </summary>
    public required int Id { get; set; }
}