﻿using MediatR;

namespace Mirea.Api.DataAccess.Application.Cqrs.Professor.Queries.GetProfessorDetailsBySearch;

/// <summary>
/// Represents a query to retrieve information about a professor.
/// </summary>
/// <remarks>
/// This query can be used to fetch details of a professor by either their name.
/// </remarks>
public class GetProfessorInfoSearchQuery : IRequest<ProfessorInfoListVm>
{
    /// <summary>
    /// The name of the professor.
    /// </summary>
    public required string Name { get; set; }
}